Subject: Reminder: office hours Friday

From: Martin Duke <[email-masked]>
Date: Tue, 21 Jul 2020 08:39:12 -0700

This is a reminder that Magnus and I will hold office hours from 1500-1600
UTC on 24 July.

https://ietf.webex.com/ietf/j.php?MTID=m650832f590bd72e1a2e6c61407ab7b66

Please come by if you have any concerns. In particular, recall that Magnus
is not running again for Area Director. If you have any questions about the
position, or would like the perspective of someone new to the job, don't
hesitate to drop in.

Things are moving quickly at IETF right now, and good leadership is
especially important.

Martin